# $Revision: 1.11.2.1 $, $Date: 2003/03/13 00:56:38 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Attribute
%define		pnam	Handlers
Summary:	Attribute::Handlers Perl extension
Summary(pl):	Rozszerzenie Perla Attribute::Handlers
Name:		perl-Attribute-Handlers
Version:	0.78
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows that package's class to define attribute handler
subroutines for specific attributes. Variables and subroutines
subsequently defined in that package, or in packages derived from that
package may be given attributes with the same names as the attribute
handler subroutines, which will then be called at the end of the
compilation phase (i.e. in a `CHECK' block).

%description -l pl
Ten modu pozwala klasom pakietu definiowa podprogramy obsugi
atrybutw. Zmienne i podprogramy zdefiniowane w danym pakiecie lub
pakietach wywodzcych si od pakietu mog otrzyma atrybuty o tych
samych nazwach co podprogramy obsugi, ktre zostan wywoane na kocu
fazy kompilacji (w bloku "CHECK").

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Attribute/Handlers.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Attribute-Handlers.spec,v $
Revision 1.11.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.11  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:26:12  ankry
- massive attack: change CPAN URLs

Revision 1.9  2002/10/18 01:22:08  ankry
- updated to 0.78

Revision 1.8  2002/09/16 08:13:52  ankry
- tests on bcond
- remove %%{perl_sitelib}/Attribute dir (moved to perl)
- release 3

Revision 1.7  2002/07/20 10:17:15  qboosh
- new %%doc, BuildArch: noarch, added %%{perl_sitelib}/Attribute dir; release 2

Revision 1.6  2002/07/18 08:57:19  kloczek
- updated to 0.77.

Revision 1.5  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/25 10:00:25  ankry
- added Date in header

Revision 1.2  2002/03/04 13:50:33  qboosh
- pl description

Revision 1.1  2002/03/04 06:55:42  depesz
new module
